Skip to content

MS-873: Add eval run name editing and model catalog badges to OpenAPI spec#1200

Open
chandrudo wants to merge 4 commits into
digitalocean:mainfrom
chandrudo:MS-873-openapi-update-model-evals-badges
Open

MS-873: Add eval run name editing and model catalog badges to OpenAPI spec#1200
chandrudo wants to merge 4 commits into
digitalocean:mainfrom
chandrudo:MS-873-openapi-update-model-evals-badges

Conversation

@chandrudo

@chandrudo chandrudo commented Jul 5, 2026

Copy link
Copy Markdown
Contributor

Summary

  • Adds PATCH /v2/gen-ai/model_evaluation_runs/{eval_run_uuid} endpoint allowing users to update a model evaluation run's display name
  • Adds badges field to apiModelCatalogEntry and apiModelCatalogCard schemas to support model badge display in the catalog

Test Plan

  • Verify make preview renders the new PATCH endpoint without errors
  • Confirm the update evaluation run schema accepts display_name in the request body
  • Verify model catalog list and card responses include the badges array field

chandrudo added 3 commits July 5, 2026 19:44
…talog

Introduces PATCH /v2/gen-ai/model_evaluation_runs/{eval_run_uuid} for
editing evaluation run display names, and adds badges field to model
catalog entries and catalog card responses.
$ref: ../../shared/responses/unexpected_error.yml
security:
- bearer_auth:
- genai:default

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Shouldn't this be genai:update?

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Not sure, these comes from automated generation workflow. I guess our team never edits this manually

Comment thread specification/resources/gen-ai/genai_update_model_evaluation_run.yml Outdated
@@ -0,0 +1,39 @@
operationId: genai_GenAIAPI_GetModelCatalogCard

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

Are these 3 new files used anywhere?

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

there is no direct referrals, but aren't these files required by default?

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

if not required I can remove these

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

yes, they are not used anywhere it better to remove them

type: object
apiUpdateModelEvaluationRunInputPublic:
properties:
eval_run_uuid:

Copy link
Copy Markdown
Contributor

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

If we are sending the eval_run_uuid in the path do we need to add it in request body?

Copy link
Copy Markdown
Contributor Author

Choose a reason for hiding this comment

The reason will be displayed to describe this comment to others. Learn more.

I don't think so, uuid goes in the url
name goes in the request body

Co-authored-by: anup-deka <adeka@digitalocean.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

2 participants